<app-admin-title
  [title]="'Settings'"
  [showProgressIndicator]="showProgressIndicator"
></app-admin-title>
<div *ngIf="settings">
  <mat-card class="settingsCard">
    <mat-card-header>
      <mat-card-title>Snack Bar Delay</mat-card-title>
      <mat-card-subtitle>Snack Bar Delay in Milliseconds</mat-card-subtitle>
    </mat-card-header>
    <mat-card-content>
      <mat-form-field appearance="fill" class="formInput">
        <mat-label>Delay</mat-label>
        <input matInput [formControl]="snackBarDelayControl">
        <mat-hint>Enter delay in milliseconds</mat-hint>
        <mat-error *ngIf="snackBarDelayControl.invalid">You must enter a positive number.</mat-error>
      </mat-form-field>
    </mat-card-content>
    <mat-card-actions align="end">
      <button mat-button (click)="onSnackbarDelayTestClick()">TEST</button>
      <button mat-button (click)="onSnackbarDelayApplyClick()" color="primary">APPLY</button>
    </mat-card-actions>
  </mat-card>

  <mat-card class="settingsCard">
    <mat-card-header>
      <mat-card-title>Date Time Format</mat-card-title>
      <mat-card-subtitle>{{now | date:dateTimeFormatControl.value}}</mat-card-subtitle>
    </mat-card-header>
    <mat-card-content>
      <mat-form-field appearance="fill" class="formInput">
        <mat-label>Date Time Format</mat-label>
        <input matInput [formControl]="dateTimeFormatControl">
        <mat-hint>Enter date time format</mat-hint>
        <mat-error *ngIf="dateTimeFormatControl.invalid">You must enter a date time format.</mat-error>
      </mat-form-field>
    </mat-card-content>
    <mat-card-actions align="end">
      <button mat-button (click)="onDateTimeFormatApplyClick()" color="primary">APPLY</button>
    </mat-card-actions>
  </mat-card>

  <mat-card class="settingsCard">
    <mat-card-header>
      <mat-card-title>Live Statistics Interval</mat-card-title>
      <mat-card-subtitle>Live Statistics Interval in milliseconds</mat-card-subtitle>
    </mat-card-header>
    <mat-card-content>
      <mat-form-field appearance="fill" class="formInput">
        <mat-label>Interval</mat-label>
        <input matInput [formControl]="liveStatisticsIntervalControl">
        <mat-hint>Enter interval in milliseconds</mat-hint>
        <mat-error *ngIf="liveStatisticsIntervalControl.invalid">You must enter a positive number.</mat-error>
      </mat-form-field>
    </mat-card-content>
    <mat-card-actions align="end">
      <button mat-button (click)="onLiveStatisticsIntervalApplyClick()" color="primary">APPLY</button>
    </mat-card-actions>
  </mat-card>

  <mat-card class="settingsCard">
    <mat-card-header>
      <mat-card-title>Data Points</mat-card-title>
      <mat-card-subtitle>Number of data points used in line charts. Higher number means higher accuracy and lower performance.</mat-card-subtitle>
    </mat-card-header>
    <mat-card-content>
      <mat-form-field appearance="fill" class="formInput">
        <mat-label>Data Points</mat-label>
        <input matInput [formControl]="dataPointsControl">
        <mat-hint>Enter number of data points</mat-hint>
        <mat-error *ngIf="dataPointsControl.invalid">You must enter a positive number.</mat-error>
      </mat-form-field>
    </mat-card-content>
    <mat-card-actions align="end">
      <button mat-button (click)="onDataPointsApplyClick()" color="primary">APPLY</button>
    </mat-card-actions>
  </mat-card>

  <mat-card class="settingsCard">
    <mat-card-header>
      <mat-card-title>Self Registration</mat-card-title>
      <mat-card-subtitle>If checked, players can register themselves.</mat-card-subtitle>
    </mat-card-header>
    <mat-card-content>
      <mat-slide-toggle
        [(ngModel)]="selfRegistration">
        Allow self registration
      </mat-slide-toggle>
    </mat-card-content>
    <mat-card-actions align="end">
      <button mat-button (click)="onSelfRegistrationApplyClick()" color="primary">APPLY</button>
    </mat-card-actions>
  </mat-card>

  <mat-card class="settingsCard">
    <mat-card-header>
      <mat-card-title>Currency</mat-card-title>
      <mat-card-subtitle>
        {{settingsHandlerService.getFractionDigits(   8) | currency: currencyControl.value}}
        {{settingsHandlerService.getFractionDigits(  38) | currency: currencyControl.value}}
        {{settingsHandlerService.getFractionDigits( 238) | currency: currencyControl.value}}
        {{settingsHandlerService.getFractionDigits(1238) | currency: currencyControl.value}}
      </mat-card-subtitle>
    </mat-card-header>
    <mat-card-content>
      <mat-form-field appearance="fill" class="formInput">
        <mat-label>Currency</mat-label>
        <mat-select [formControl]="currencyControl">
          <mat-option *ngFor="let currency of currencies" [value]="currency.currencyCode">{{currency.displayName}} ({{currency.symbol}})</mat-option>
        </mat-select>
        <mat-hint>Select Currency</mat-hint>
        <mat-error *ngIf="currencyControl.invalid">You must select a currency.</mat-error>
      </mat-form-field>
    </mat-card-content>
    <mat-card-actions align="end">
      <button mat-button (click)="onCurrencyApplyClick()" color="primary">APPLY</button>
    </mat-card-actions>
  </mat-card>
</div>
